#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-5S6RvAaIzasLtMewc5KcCo
key:                  persistent-test-2.13.1.3-5S6RvAaIzasLtMewc5KcCo
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  9c4e52473d13de9d74bd76d1398988b0
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-5S6RvAaIzasLtMewc5KcCo
depends:
    HUnit-1.6.2.0-DUvlqmsw2Kp6tCDRl9WtXA
    QuickCheck-2.14.3-FGmfhk7R9XAKKHOSxyZwTx
    aeson-2.1.2.1-4CVR04TmBAJCS7ApojWVjB base-4.17.2.1
    blaze-html-0.9.2.0-8WkUEmKlEGy5AWYq4rmynp bytestring-0.11.5.3
    conduit-1.3.6.1-4vOVNW9pwJYLaGSEKs1crY containers-0.6.7
    exceptions-0.10.5 hspec-2.10.9-EMMSF8OTUYm2iE3YzvfAMI
    hspec-expectations-0.8.3-ByiC9PUirWlDy5uDUGE568
    http-api-data-0.5.1-1Ste3u93sCDJ5dvEOEdzxw
    monad-control-1.0.3.1-1pRjoxDr4QI62u9jYnI7dU
    monad-logger-0.3.41-T7qmcZklCU87tRIXCDov mtl-2.2.2
    path-pieces-0.2.1-3XB1w9Pq9G55ySSfgWLsAv
    persistent-2.14.5.1-2WS5abuDOWuAACPIhyKIw8
    quickcheck-instances-0.3.30-7T4BB9FjucLGEg7d6lvBLx
    random-1.2.1.2-7EfGGurDIwzGPzdRKPRaLg
    resourcet-1.2.6-HbN0RV9wT5VCrWiuK0rjhN text-2.0.2 time-1.12.2
    transformers-0.5.6.2 transformers-base-0.4.6-4O0uzNslmeuBIXTyGqYbQZ
    unliftio-0.2.25.1-AXRi31Q55nfHgGjBnzlMpR
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-HeJmB00BoxxBFwF5v8SCN

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

